Page MenuHomePhabricator

create netmon1003, migrate servermon from netmon1001 to netmon1003
Closed, ResolvedPublic

Description

as discussed on monitoring meeting, currently we can't move the servermon role to stretch, so it can't go to netmon1002, but we still want to unblock being able to shutdown netmon1001, so we are creating a ganeti VM netmon1003 with jessie and move servermon to that

create new VM, add to puppet, migrate servermon::wmf role

Details

Related Gerrit Patches:
operations/puppet : productionservermon: restrict http access to prod networks
operations/puppet : productionservermon: remove role from netmon1001
operations/puppet : productioncache::misc: switch servermon from netmon1001 to netmon1003
operations/puppet : productioncache::misc: add director for netmon1003
operations/puppet : productionsite: add netmon1003 with servermon role
operations/dns : masteradd netmon1003, v4 and v6

Event Timeline

Dzahn created this task.Jul 14 2017, 2:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2017, 2:17 AM

Change 365199 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add netmon1003, v4 and v6

https://gerrit.wikimedia.org/r/365199

Change 365199 merged by Dzahn:
[operations/dns@master] add netmon1003, v4 and v6

https://gerrit.wikimedia.org/r/365199

Change 365410 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site: add netmon1003 with servermon role

https://gerrit.wikimedia.org/r/365410

Change 365410 merged by Dzahn:
[operations/puppet@production] site: add netmon1003 with servermon role

https://gerrit.wikimedia.org/r/365410

Change 365428 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] cache::misc: add director for netmon1003

https://gerrit.wikimedia.org/r/365428

Change 365429 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] cache::misc: switch servermon from netmon1001 to netmon1003

https://gerrit.wikimedia.org/r/365429

Change 365428 merged by Dzahn:
[operations/puppet@production] cache::misc: add director for netmon1003

https://gerrit.wikimedia.org/r/365428

Change 365429 merged by Dzahn:
[operations/puppet@production] cache::misc: switch servermon from netmon1001 to netmon1003

https://gerrit.wikimedia.org/r/365429

Mentioned in SAL (#wikimedia-operations) [2017-07-15T02:46:12Z] <mutante> netmon1001 - stopping "make_updates" cron , migration to netmon1003, flipping cache::backend to netmon1003 (T170653)

Change 365432 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] servermon: remove role from netmon1001

https://gerrit.wikimedia.org/r/365432

Change 365432 merged by Dzahn:
[operations/puppet@production] servermon: remove role from netmon1001

https://gerrit.wikimedia.org/r/365432

Dzahn closed this task as Resolved.Jul 15 2017, 3:04 AM

done. Apache site has been removed on netmon1001 and here it is working as before from new backend:

https://servermon.wikimedia.org/

Change 365433 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] servermon: restrict http access to prod networks

https://gerrit.wikimedia.org/r/365433

Change 365433 merged by Dzahn:
[operations/puppet@production] servermon: restrict http access to prod networks

https://gerrit.wikimedia.org/r/365433